MapFieldSelector (Lucene 2.4.1 API)
Keywords: org.apache.lucene.document.MapFieldSelector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.document
Class MapFieldSelector

    java.lang.Object
      org.apache.lucene.document.MapFieldSelector

All Implemented Interfaces:
  Serializable, FieldSelector

    public class MapFieldSelector

extends Object
implements FieldSelector

A FieldSelector based on a Map of field names to FieldSelectorResults

See Also:
  Serialized Form

Constructor Summary
`MapFieldSelector(List fields)` Create a a MapFieldSelector
`MapFieldSelector(Map fieldSelections)` Create a a MapFieldSelector
`MapFieldSelector(String[] fields)` Create a a MapFieldSelector

Method Summary
`FieldSelectorResult` | `accept(String field)` Load field according to its associated value in fieldSelections

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapFieldSelector

    public MapFieldSelector(Map fieldSelections)

  Create a a MapFieldSelector

  Parameters:
    `fieldSelections` - maps from field names (String) to FieldSelectorResults

### MapFieldSelector

    public MapFieldSelector(List fields)

  Create a a MapFieldSelector

  Parameters:
    `fields` - fields to LOAD. List of Strings. All other fields are NO_LOAD.

### MapFieldSelector

    public MapFieldSelector(String[] fields)

  Create a a MapFieldSelector

  Parameters:
    `fields` - fields to LOAD. All other fields are NO_LOAD.

Method Detail

### accept

    public FieldSelectorResult accept(String field)

  Load field according to its associated value in fieldSelections

  Specified by:
    `accept` in interface `FieldSelector`
  Parameters:
    `field` - a field name
  Returns:
    the fieldSelections value that field maps to or NO_LOAD if none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.